Get MIT transactions

Query MIT transactions by date range

Get MIT transactions

GET /svc/payment/api/v1/openapi/batch_mit_transactions_by_search

Query MIT transactions by date range

Request

Query Parameters

offset number

page offset

Default value: 0

Example: 0

limit number

page limit on line count

Default value: 20

Example: 0

start_time stringrequired

time in RFC3339 format

end_time stringrequired

time in RFC3339 format

Responses

  • 200

Response Headers

  • application/json

  • Schema

  • Example (auto)

Schema

code numberrequired

message stringrequired

data objectrequired

transactions object[]nullablerequired

Array [

type integer

source string

success boolean

is_pending boolean

captured boolean

allow_void boolean

allow_refund boolean

refunded_amount number

void_is_pending boolean

payment_method string

currency string

amount number

change_amount number

original_currency_amount number

tips_amount number

uuid string

note string

payment_data object

acquirer_name stringrequired

acquirer_type stringrequired

auth_code string

brn stringrequired

card_number_len integer

card_read_mode string

credit_card_type string

first_6_digits string

last_4_digits string

merchant_id string

new_gateway_txn_id stringrequired

payment_method stringrequired

receipt_id stringrequired

rrn string

transaction_state stringrequired

token string

When payment_method equals payment_token, the token returns data

holder_name string

exp_month string

exp_year string

resp_code string

resp_msg string

error_code stringdeprecated

not recommend

error_desc stringdeprecated

not recommend

consumer_country_code string

voided boolean

voided_at string

device_sn string

original_device_sn string

extra objectnullable

object

acquirer_response_body string

created_at string

3ds object

enrolled stringrequired

redirect_url stringrequired

original_transaction_uuid stringnullable

order object

source stringrequired

type stringrequired

number stringrequired

due_date stringrequired

paid_total stringrequired

unpaid_total stringrequired

reference_number stringrequired

initial_total integerrequired

initial_tips integerrequired

subtotal integerrequired

state stringrequired

correspondence_state stringrequired

currency stringrequired

note stringrequired

auth_code stringrequired

payment_method_option objectrequired

online objectrequired

object

business objectrequired

id stringrequired

business_name stringrequired

line_items nullrequired

transactions nullrequired

created_at stringrequired

updated_at stringrequired

customer objectrequired

uuid nullrequired

name nullrequired

email nullrequired

phone nullrequired

dial_code nullrequired

payer_company_name nullrequired

reference_number nullrequired

p_created_at nullrequired

p_updated_at nullrequired

reference_id string

original_transaction_reference_id string

]

{ "code": 0, "message": "string", "data": { "transactions": [\ {\ "type": 0,\ "source": "string",\ "success": true,\ "is_pending": true,\ "captured": true,\ "allow_void": true,\ "allow_refund": true,\ "refunded_amount": 0,\ "void_is_pending": true,\ "payment_method": "string",\ "currency": "string",\ "amount": 0,\ "change_amount": 0,\ "original_currency_amount": 0,\ "tips_amount": 0,\ "uuid": "string",\ "note": "string",\ "payment_data": {\ "acquirer_name": "string",\ "acquirer_type": "string",\ "auth_code": "string",\ "brn": "string",\ "card_number_len": 0,\ "card_read_mode": "string",\ "credit_card_type": "string",\ "first_6_digits": "string",\ "last_4_digits": "string",\ "merchant_id": "string",\ "new_gateway_txn_id": "string",\ "payment_method": "string",\ "receipt_id": "string",\ "rrn": "string",\ "transaction_state": "string",\ "token": "string",\ "holder_name": "string",\ "exp_month": "string",\ "exp_year": "string",\ "resp_code": "string",\ "resp_msg": "string",\ "consumer_country_code": "string"\ },\ "voided": true,\ "voided_at": "string",\ "device_sn": "string",\ "original_device_sn": "string",\ "extra": {},\ "acquirer_response_body": "string",\ "created_at": "string",\ "3ds": {\ "enrolled": "string",\ "redirect_url": "string"\ },\ "original_transaction_uuid": "string",\ "order": {\ "source": "string",\ "type": "string",\ "number": "string",\ "due_date": "string",\ "paid_total": "string",\ "unpaid_total": "string",\ "reference_number": "string",\ "initial_total": 0,\ "initial_tips": 0,\ "subtotal": 0,\ "state": "string",\ "correspondence_state": "string",\ "currency": "string",\ "note": "string",\ "auth_code": "string",\ "payment_method_option": {\ "online": {}\ },\ "business": {\ "id": "string",\ "business_name": "string"\ },\ "line_items": "null",\ "transactions": "null",\ "created_at": "string",\ "updated_at": "string",\ "customer": {\ "uuid": "null",\ "name": "null",\ "email": "null",\ "phone": "null",\ "dial_code": "null",\ "payer_company_name": "null",\ "reference_number": "null",\ "p_created_at": "null",\ "p_updated_at": "null"\ }\ },\ "reference_id": "string",\ "original_transaction_reference_id": "string"\ }\ ] } }
  • csharp

  • curl

  • dart

  • go

  • http

  • java

  • javascript

  • kotlin

  • c

  • nodejs

  • objective-c

  • ocaml

  • php

  • powershell

  • python

  • r

  • ruby

  • rust

  • shell

  • swift

  • HTTPCLIENT

  • RESTSHARP

var client = new HttpClient(); var request = new HttpRequestMessage(HttpMethod.Get, "https://developer.wonder.today/svc/payment/api/v1/openapi/batch_mit_transactions_by_search"); request.Headers.Add("Accept", "application/json"); var response = await client.SendAsync(request); response.EnsureSuccessStatusCode(); Console.WriteLine(await response.Content.ReadAsStringAsync());

Request Collapse all

Parameters

start_time — queryrequired

end_time — queryrequired

Show optional parameters

offset — query

limit — query